// First half of JS
var options = { /* … */ }; // for linkify
// alert('alarm')


// Make the checkboxes and radios flash on and off when clicked
$(function() {
    $("input:radio").checkboxradio({
        icon: false
    });
    $(document).tooltip();
    $("input:checkbox").checkboxradio({
        icon: false
    });
});

// Headers
$("#art12").hide();
$("#art13").hide();
$("#art14").hide();
$("#code").hide();




$("#art12-tab").click(function(event) {
    $("#art12-tab").addClass("active");
    $("#art13-tab").removeClass("active");
    $("#art14-tab").removeClass("active");
    $("#instructions-tab").removeClass("active");
    $("#art12").show();
    $("#art13").hide();
    $("#art14").hide();
    $("#instructions").hide();
    event.preventDefault();
});

$("#art13-tab").click(function(event) {
    $("#art12-tab").removeClass("active");
    $("#art13-tab").addClass("active");
    $("#art14-tab").removeClass("active");
    $("#instructions-tab").removeClass("active");
    $("#art12").hide();
    $("#art13").show();
    $("#art14").hide();
    $("#instructions").hide();
    event.preventDefault();
});

$("#art14-tab").click(function(event) {
    $("#art12-tab").removeClass("active");
    $("#art13-tab").removeClass("active");
    $("#art14-tab").addClass("active");
    $("#instructions-tab").removeClass("active");
    $("#art12").hide();
    $("#art14").show();
    $("#art13").hide();
    $("#instructions").hide();
    event.preventDefault();
});

$("#instructions-tab").click(function(event) {
    $("#instructions-tab").addClass("active");
    $("#art12-tab").removeClass("active");
    $("#art14-tab").removeClass("active");
    $("#art13-tab").removeClass("active");
    $("#art12").hide();
    $("#art14").hide();
    $("#art13").hide();
    $("#instructions").show();
    event.preventDefault();
});

function matchHeights() {
    $("#MPN-HEADER").height(($("#generator-header").height()));
    $("#MPN-CONTROLLER").height(($("#generator-controller").height()));
    $("#MPN-PURPOSE").height(($("#generator-purpose").height()));
    $("#MPN-AUTOMATED").height(($("#generator-automated").height()));
    $("#MPN-SOURCE").height(($("#generator-sources").height()));
    $("#MPN-REQUIRED").height(($("#generator-required").height()));
    $("#MPN-RIGHTS").height($("#generator-rights1").height() + $("#generator-rights2").height() + $("#generator-rights3").height() + 50);
    $("#MPN-BASIS").height(($("#generator-basis").height()));
    $("#MPN-SHARE").height(($("#generator-share").height()));
    $("#MPN-RETENTION").height(($("#generator-retention").height()));
    $("#MPN-CATEGORY").height(($("#generator-personalinformation").height()));
}

$("#form-tab").click(function(event) {
    $("#form-tab").addClass("active");
    $("#code-tab").removeClass("active");
    $("#generator-form").show();
    $("#code").hide();

    $("#MPN").height(($("#banner").height()));
    event.preventDefault();
});


$("#code-tab").click(function(event) {
    $("#MPN-condense").click();
    event.preventDefault();
});




$("#source6").click(function(event) {
    if ($("#source6").is(":checked")) {
        $("input[id^='source-other-freeform']").show();
        $("#source-other-add").show();
    } else {
        $("input[id^='source-other-freeform']").hide();
        $("#source-other-add").hide();
    }
});


$("#purpose6").click(function(event) {
    if ($("#purpose6").is(":checked")) {
        $("input[id^='purpose-other-freeform']").show();
        $("#purpose-other-add").show();
    } else {
        $("input[id^='purpose-other-freeform']").hide();
        $("#purpose-other-add").hide();
    }
});

$("#basis6").click(function(event) {
    if ($("#basis6").is(":checked")) {
        $("input[id^='basis-other-freeform']").show();
        $("#basis-other-add").show();
    } else {
        $("input[id^='basis-other-freeform']").hide();
        $("#basis-other-add").hide();
    }
});

$("#recipientnum6").click(function(event) {
    if ($("#recipientnum6").is(":checked")) {
        $("input[id^='recipient-other-freeform']").show();
        $("#recipient-other-add").show();
    } else {
        $("input[id^='recipient-other-freeform']").hide();
        $("#recipient-other-add").hide();
    }
});

$("#transfer").click(function(event) {
    if ($("#transfer").is(":checked")) {
        $("#transferfields").show();
    } else {
        $("#transferfields").hide();
    }
});

$("#required").click(function(event) {

    if ($("#required").is(":checked")) {
        $("#requiredfields").show();
    } else {
        $("#requiredfields").hide();
    }
});

$("#automated").click(function(event) {
    if ($("#automated").is(":checked")) {
        $("#automatedfields").show();
    } else {
        $("#automatedfields").hide();
    }
});

$("#sources").click(function(event) {
    if ($("#sources").is(":checked")) {
        $("#sourcefields").show();
        $("#MPN-SOURCE").show();
        $("#MPN-CATEGORY").show();
        $("#generator-personalinformation").show();
    } else {
        $("#sourcefields").hide();
        $("#MPN-CATEGORY").hide();
        $("#MPN-SOURCE").show();
        $("#generator-personalinformation").hide();
    }
});


$("span[id$='other-add']").css('cursor', 'pointer');
$("span[id$='other-add']").click(function(event) {
    var name = $(this).prop('id').replace('add', 'freeform');
    var count = $("input[id^='" + name + "']").length + 1;
    $("input[id^='" + name + "']").last().after("<input type=text id='" + name + "'" + count + " placeholder='" + $("#" + name + "1").prop('placeholder') + "' size=50>");
    $("input[id^='" + name + "']").change(function(event) {
        $("#generator").submit();
    });
    event.preventdefault;
});


$("#recipient_none").click(function(event) {
    if ($("#recipient_none").is(":checked")) {
        $("input[id^='recipientnum']").each(function(index) {
            $(this).prop('checked', false);
            $(this).button("refresh");
        });
    }
});


$("input[id^='recipientnum']").click(function(event) {
    if ($(this).is(":checked")) {
        $("#recipient_none").prop('checked', false);
        $("#recipient_none").button("refresh");
    }
});








function condenseHeights() {
    $("#MPN-HEADER").height("auto");
    $("#MPN-CONTROLLER").height("auto");
    $("#MPN-PURPOSE").height("auto");
    $("#MPN-AUTOMATED").height("auto");
    $("#MPN-SOURCE").height("auto");
    $("#MPN-REQUIRED").height("auto");
    $("#MPN-RIGHTS").height("auto");
    $("#MPN-BASIS").height("auto");
    $("#MPN-SHARE").height("auto");
    $("#MPN-RETENTION").height("auto");
    $("#MPN-CATEGORY").height("auto");

}





$("#MPN-condense").click(function(event) {
    $("#generator").submit();


    $("#code-tab").addClass("active");
    $("#form-tab").removeClass("active");

    $("#code").show();
    $("#generator-form").hide();


    window.scrollTo(0, 650);

    //$("div[style*='display: none;']").remove();
    var code = $('#notice').clone();
    code.find("div[style*='display: none;']").remove();

    $('#code_text').val(
        $('#code-head').val() +
        "<body><div class='container'>" +
        "<header role='banner'>" + code.find('#notice-header').html() + "</header>" +
        "<main role='main'>" +
        "<section role='region' aria-label='Controller'>" + code.find("#notice-controller").html() + "</section>" +
        "<section role='region' aria-label='Purposes'>" + code.find("#notice-purpose").html() + "</section>" +
        "<section role='region' aria-label='Basis'>" + code.find("#notice-basis").html() + "</section>" +
        "<section role='region' aria-label='Share'>" + code.find("#notice-share").html() + "</section>" +
        "<section role='region' aria-label='Sources'>" + code.find("#notice-source").html() + "</section>" +
        "<section role='region' aria-label='Required'>" + code.find("#notice-required").html() + "</section>" +
        "<section role='region' aria-label='Rights'>" + code.find("#notice-rights").html() + "</section>" +
        "<section role='region' aria-label='Retention'>" + code.find("#notice-retention").html() + "</section>" +
        "<section role='region' aria-label='Automated'>" + code.find("#notice-automated").html() + "</section>" +
        "<section role='region' aria-label='Categories'>" + code.find("#notice-category").html() + "</section>" +
        "</main>" +
        "<footer role='contentinfo'>" + code.find('#notice-footer').html() + "</footer>" +
        "</div><script>$(document ).tooltip();"+"translate('"+$('input[name="default-lang"]:checked').val()+"');"+"</" + "script></body></html>"
    );

    condenseHeights();
    translate($('input[name="default-lang"]:checked').val());


    event.preventDefault();
});

$("input").change(function(event) {
    $("#generator").submit();
});

$("textarea").change(function(event) {
    $("#generator").submit();
});






//Seond half of JS
