// Define the languages and define the translations, with the same order English in position 0, Espanol in position 1, then we can add GR, FR, Klingon, etc...
var languages = ["EN", "ES"];
var headerTranslation = {
    header1: ["Our Privacy Notice", "Aviso de Privacidad"],
    header2: ["Touch any ", "Toca cualquier "],
    header3: [" to learn more.", " para más información."],
    header4: ["buttons", "botón"],
    // header5: ["Section Incomplete", "Sección incompleta"]
};

var SclassTrans = {
    Sclass1: ["Section Incomplete", "Sección incompleta"]

}

var controlTranslation = {

    control1: ["CONTROLLER", "RESPONSABLE"],
    control2: ["Our name and how to contact us", "Nuestro nombre y cómo contactarnos"],
    control3: ["Our representative in the EU:", "Nuestro representante en la UE:"],
    control4: ["Our data protection officer:", "Nuestro oficial de protección de datos:"],

}

var whyTranslation = {
    why1: ["WHY", "POR QUÉ"],
    why2: ["We collect or use your data in order to", "Por qué recolectamos o usamos tus datos"],
    why3: ["Provide<br> Service", "Proveer<br> Servicio"],
    why4: ["Develop<br> Marketing", "Desarrollar<br> Marketing"],
    why5: ["Conduct<br> Research", "Realizar<br> Investigaciones"],
    why6: ["Operate<br> Company", "Operar<br> Empresa "],
    why7: ["Develop<br> Product", "Desarrollar<br> Producto"],
    why8: ["To provide the primary service of the app or technology", "Para proveer el servicio principal de la aplicación o tecnología"]
}

var baseTranslation = {
    base1: ["BASIS", "BASE"],
    base2: ["Our collection and use of your data is lawful because", "Nuestra recopilación y uso de sus datos es legal"],
    base3: ["It is collected or used, with your consent, for one or more of the purposes stated above", "Se recopila o utiliza, con su consentimiento, para uno o más de los fines indicados anteriormente."],
    base4: ["It is needed for a contract with you or, at your request, prior to entering into a contract.", "Es necesario para un contrato con usted o, a petición suya, antes de entrar a un contrato."],
    base5: ["It is needed for us to comply with the law.", "Es necesario para que cumplamos con la ley."],
    base6: ["It is needed in order to protect your interests or the interests of another person.", "Es necesario para proteger sus intereses o los intereses de otra persona."],
    base7: ["It is in the public interest or done in official authority we have.", "Es en el interés público o hecho en la autoridad oficial que tenemos."],
    base8: ["It is needed because we or a third party needs to:", "Es necesario porque nosotros o un tercero necesitamos:"],
}

var shareTranslation = {
    share1: ["Share", "Compartir"],
    share2: ["Where we send your data", "Donde enviamos sus datos"],
    share3: ["Your data is shared with:", "Sus datos se comparten con:"],
    share4: ["Your data is not shared by us with others", "No se comparten sus datos con otros"],
    share5: ["Some of your data may be sent outside the European Union and European Economic Area or to an international organization.",
        "Algunos de sus datos pueden ser enviados fuera de la Unión Europea y el Área Económica Europea o a una organización internacional."
    ],
    share6: ["Your data may be sent outside the European Union and European Economic Area in compliance with Article 49(1) paragraph 2 of the General Data Protection Regulation. Sharing your data, in this case, is needed to:",
        "Sus datos pueden ser enviados fuera de la Unión Europea y del Espacio Económico Europeo de acuerdo con el artículo 49 (1), párrafo 2, del Reglamento general de protección de datos. En este caso, compartir sus datos es necesario para:"
    ],
    share7: ["The countries where your data is sent protect personal data by law.", "Los países a los que se envían sus datos protegen los datos personales por ley."],
    share8: ["Your data may be sent to some countries that do not protect personal data by law but with another legal safeguard. Those receiving your data will be bound by:", "Sus datos pueden ser enviados a algunos países que no protegen los datos personales por ley, pero con otra salvaguarda legal. Quienes reciban sus datos estarán sujetos a:"],
    share9: ["a legally binding agreement between public bodies or authorities", "un acuerdo legalmente vinculante entre organismos públicos o autoridades"],
    share10: ["legally binding corporate rules", "reglas corporativas legalmente vinculantes"],
    share11: ["standard data protection clauses in contract", "cláusulas estándar de protección de datos en el contrato"],
    share12: ["an approved code of conduct", "un código de conducta aprobado"],
    share13: ["an approved certification mechanism", "un mecanismo de certificación aprobado"]
}

var keepTranslation = {
    keep1: ["KEEP", "GUARDAR"],
    keep2: ["How long we keep your data", "Cuánto tiempo guardamos sus datos"]
}

var rightsTranslation = {
    rights1: ["RIGHTS", "DERECHOS"],
    rights2: ["Your rights in your data", "Sus derechos en sus datos"],
    rights3: ["Access", "Acceso"],
    rights4: ["Correct", "Corregir"],
    rights5: ["Take", "Tomar"],
    rights6: ["Erase,<br> Restrict or<br> Object", "Boarrar,<br> Restringir u<br> Oponerse"],
    rights7: ["You have the right to complain to an authority.", "Usted tiene el derecho de quejarse ante una autoridad."],
    rights8: ["Where you have consented to the use of your data, you have the right to withdraw consent. However, withdrawing consent will not affect what we did before the withdrawal.", "Cuando haya dado su consentimiento para el uso de sus datos, tiene derecho a retirar el consentimiento. Sin embargo, retirar el consentimiento no afectará lo que hicimos antes del retiro."]
}
var requiredTranslation = {
    requ1: ["REQUIRED", "NECESARIOS"],
    requ2: ["Your data is necessary", "Sus datos son necesarios"],
    requ3: ["Your data is required law, regulation or statute.", "Sus datos son requeridos por ley, regulación o estatuto."],
    requ4: ["Your data is required by contract.", "Sus datos son requeridos por contrato."],
    requ5: ["Your data is necessary to enter a contract.", "Sus datos son necesarios para entrar en un contrato."]
}

var decisionsTranslation = {
    decisions1: ["DECISIONS", "DECISIONES"],
    decisions2: ["Some decisions are automatic", "Algunas decisiones son automáticas"]
}

var sourcesTranslation = {
    sources1: ["SOURCES", "FUENTES"],
    sources2: ["Where we get data about you", "De donde obtenemos datos sobre usted"],
    sources3: ["Schools", "Escuelas"],
    sources4: ["Employers", "Empleadores"],
    sources5: ["Friends", "Amigos"],
    sources6: ["Electronic<br> Devices", "Dispositivos<br> electrónicos"],
    sources7: ["Healthcare<br> Providers", "Proveedores<br> de servicios de salud"],
    sources8: ["Insurance<br> Companies", "Compañías<br> de seguro"],
    sources9: ["Financial<br> Institutions", "Instituciones<br> financieras"],
    sources10: ["Social<br> Networks", "Redes<br> sociales"],
    sources11: ["Government<br> Records", "Registros<br> del gobierno"],
    sources12: ["Data<br> Brokers", "Corredores<br> de datos"],
    sources13: ["The Public Internet", "Internet público"],
    sources14: ["Monitoring<br> Equipment", "Equipo de<br> Monitoreo"]
}

var typesTranslation = {
    types1: ["TYPES", "TIPOS"],
    types2: ["Types of data that we collect or use", "Tipos de datos que recopilamos o usamos"],
    types3: ["Knowledge<br> & Belief", "Conocimiento<br> & Creencia"],
    types4: ["Verifying", "Verificando"],
    types5: ["Likes", "Intereses"],
    types6: ["Identifying", "Identificando"],
    types7: ["Ethnicity", "Etnicidad"],
    types8: ["Sexual", "Sexual"],
    types9: ["Behavioral", " Comportamiento"],
    types10: ["Demographic", "Demográfico"],
    types11: ["Medical<br> & Health", "Medicina<br> & Salud"],
    types12: ["Physical<br> Characteristics", "Características<br> Físicas"],
    types13: ["Account", "Cuenta"],
    types14: ["Transactional", "Transaccional"],
    types15: ["Ownership", "Propiedad"],
    types16: ["Credit", "Crédito"],
    types17: ["Professional", "Profesional"],
    types18: ["Criminal", "Criminal"],
    types19: ["Public<br> Life", "Vida<br> pública"],
    types20: ["Family", "Familia"],
    types21: ["Social<br> Network", "Red<br> Social"],
    types22: ["Communication", "Comunicación"],
    types23: ["Computer<br> Device", "Dispositivo<br> de Computadora"],
    types24: ["Contact", "Contacto"],
    types25: ["Location", "Ubicación"],
    types26: ["Life<br> History", "Historia<br> de Vida"]
}

var buttonWhyTranslation = {
    whybutton1: ["To provide the primary service of the app or technology", "Para proveer el servicio principal de la aplicación o tecnología"],
    whybutton2: ["To develop marketing materials for our products", "Para desarrollar material de marketing para nuestros productos"],
    whybutton3: ["To conduct scientific research", "Realizar investigaciones científicas"],
    whybutton4: ["For company operations (e.g. quality control or fraud detection)", "Para las operaciones de la compañía (eje. control de calidad o detección de fraude)"],
    whybutton5: ["To develop and improve new and current products and services (e.g. analytics). Analytics is the process of drawing conclusions from patterns in data.", "Para desarrollar y mejorar productos, servicios nuevos y actuales (eje. análisis) El análisis es el proceso de extraer conclusiones a partir de patrones en datos."]
}

var buttonRightsTranslation = {
    rsbutton1: ["You have the right to request access to your data.", "Tiene derecho a solicitar acceso a sus datos"],
    rsbutton2: ["You have the right to correct your data.", "Tiene derecho a corregir sus datos."],
    rsbutton3: ["You have the right to take your data to another provider.", "Tiene derecho a llevar sus datos a otro proveedor"],
    rsbutton4: ["You have a right to have us erase your data and to restrict or object to our processing of your data", "Tiene derecho a que borremos sus datos y restringir u objetar a nuestro procesamiento de sus datos"]

}

var buttonTypesTranslation = {
    tybutton1: ["What you know or believe", "Lo que sabe y cree"],
    tybutton2: ["Information that can verify you", "Datos utilizados para verificarlo"],
    tybutton3: ["Your likes or interests", "Sus gustos o intereses "],
    tybutton4: ["Information that identifies you", "Datos de identificación"],
    tybutton5: ["Information about origins and lineage", "Su origen y su linaje"],
    tybutton6: ["Information about your sex life", "Datos sobre su vida sexual"],
    tybutton7: ["Your behavior or activity, on-line or off", "Su comportamiento o actividades en línea o afuera"],
    tybutton8: ["Your characteristics shared with others", "Sus características compartidas con otros"],
    tybutton9: ["Information about your health, medical conditions or health care", "Datos sobre su salud, condiciones médicas o cuidado de salud"],
    tybutton10: ["Information about your physical characteristics", "Datos sobre sus características físicas"],
    tybutton11: ["Information that identifies your financial accounts", "Datos que identifican sus cuentas financieras"],
    tybutton12: ["Information about your purchases, spending or income", "Datos sobre sus compras, gastos o ingresos"],
    tybutton13: ["Information about what you own, rent, borrow, or possess", "Data sobre lo que posee, alquila y toma prestado"],
    tybutton14: ["Information about your reputation with regards to money", "Datos sobre su reputación con respecto al dinero"],
    tybutton15: ["Information about your education, job or profession", "Datos sobre su educación, trabajo o carrera profesional"],
    tybutton16: ["Information about suspected, alledged or actual criminal activity", "Datos sobre sospechada actividad criminal, presunta o real"],
    tybutton17: ["Information about your public life (such as membership in groups and social activities)", "Datos sobre su vida pública (como membresías y actividades sociales) "],
    tybutton18: ["Information about your family and relationships", "Datos sobre su familia y relaciones"],
    tybutton19: ["Information about your friends or social connections", "Datos sobre sus amigos o conexiones sociales"],
    tybutton20: ["Communications from or to you", "Comunicaciones para o de usted"],
    tybutton21: ["Information about the devices you use (even part-time or shared with others)", "Datos sobre las diapositivas que usa (incluso a tiempo parcial o con otras personas)"],
    tybutton22: ["Information that provides a means for contacting you", "Datos que proporcionan un medio para contactarlo"],
    tybutton23: ["Your location", "Su ubicación "],
    tybutton24: ["Information about events in your life", "Eventos en su vida"]
}

// Create a single  function to translate to the selected language
function translate(lang) {
    var langI = languages.indexOf(lang);
    //getting the object's property count for the amount of loops
    for (i = 1; i <= Object.keys(headerTranslation).length; i++) $("#header" + i).html(headerTranslation["header" + i][langI]);
    for (i = 1; i <= Object.keys(controlTranslation).length; i++) $("#control" + i).html(controlTranslation["control" + i][langI]);
    for (i = 1; i <= Object.keys(whyTranslation).length; i++) $("#why" + i).html(whyTranslation["why" + i][langI]);
    for (i = 1; i <= Object.keys(baseTranslation).length; i++) $("#base" + i).html(baseTranslation["base" + i][langI]);
    for (i = 1; i <= Object.keys(shareTranslation).length; i++) $("#share" + i).html(shareTranslation["share" + i][langI]);
    for (i = 1; i <= Object.keys(keepTranslation).length; i++) $("#keep" + i).html(keepTranslation["keep" + i][langI]);
    for (i = 1; i <= Object.keys(rightsTranslation).length; i++) $("#rights" + i).html(rightsTranslation["rights" + i][langI]);
    for (i = 1; i <= Object.keys(requiredTranslation).length; i++) $("#requ" + i).html(requiredTranslation["requ" + i][langI]);
    for (i = 1; i <= Object.keys(decisionsTranslation).length; i++) $("#decisions" + i).html(decisionsTranslation["decisions" + i][langI]);
    for (i = 1; i <= Object.keys(sourcesTranslation).length; i++) $("#sources" + i).html(sourcesTranslation["sources" + i][langI]);
    for (i = 1; i <= Object.keys(typesTranslation).length; i++) $("#types" + i).html(typesTranslation["types" + i][langI]);
    for (i = 1; i <= Object.keys(buttonWhyTranslation).length; i++) $("#whybutton" + i).prop("title", buttonWhyTranslation["whybutton" + i][langI]);
    for (i = 1; i <= Object.keys(buttonRightsTranslation).length; i++) $("#rsbutton" + i).prop("title", buttonRightsTranslation["rsbutton" + i][langI]);
    for (i = 1; i <= Object.keys(buttonTypesTranslation).length; i++) $("#tybutton" + i).prop("title", buttonTypesTranslation["tybutton" + i][langI]);
    for (i = 1; i <= Object.keys(SclassTrans).length; i++) $(".Sclass" + i).html(SclassTrans["Sclass" + i][langI]);




}

$(document).ready(function() {
    // Use class selector (".languages") to avoid having to select each button individually
    $(".languages").click(function() {
        translate(this.id);
        translate(this.class);
    });
});